﻿using System.Runtime.Serialization;
namespace ProjectCruiser.Exceptions;

// Класс, описывающий ошибку переполнения коллекции
[Serializable]
internal class CollectionOverflowException : ApplicationException
{
    public CollectionOverflowException(int count)
        : base("<> Possible accsess\nof collection is over : " + count) { }
    public CollectionOverflowException() : base() { }
    public CollectionOverflowException(string message) : base(message) { }
    public CollectionOverflowException(string message, Exception exception) :
    base(message, exception)
    { }
    protected CollectionOverflowException(SerializationInfo info,
    StreamingContext contex) : base(info, contex) { }
}

