﻿using System.Runtime.Serialization;
namespace ProjectCruiser.Exceptions;

// Класс, описывающий ошибку, что по указанной позиции нет элемента
[Serializable]
internal class ObjectNotFoundException : ApplicationException
{
    public ObjectNotFoundException(int i)
        : base("<> Didn't find obj\non this position : " + i) { }
    public ObjectNotFoundException() : base() { }
    public ObjectNotFoundException(string message) : base(message) { }
    public ObjectNotFoundException(string message, Exception exception)
        : base(message, exception) { }
    protected ObjectNotFoundException(SerializationInfo info,
        StreamingContext contex) : base(info, contex) { }
}
