﻿using System.Runtime.Serialization;
namespace ProjectCruiser.Exceptions;

// Класс, описывающий ошибку выхода за границы коллекции
[Serializable]
internal class PositionOutOfCollectionException : ApplicationException
{
    public PositionOutOfCollectionException(int i)
        : base("<> Out of collection\nboarder. Position : " + i) { }
    public PositionOutOfCollectionException() : base() { }
    public PositionOutOfCollectionException(string message) : base(message) { }
    public PositionOutOfCollectionException(string message,
        Exception exception) : base(message, exception) { }
    protected PositionOutOfCollectionException(SerializationInfo info,
        StreamingContext contex) : base(info, contex) { }
}
